<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    okText="保存"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭"
    footer=""
  >
    <!-- 邱东宝 增加modal按钮调整到顶部 1-->
    <template>
      <div style="position: absolute;left: 10%;top:13px;">
        <a-button v-if="!disableSubmit"  @click="handleOk" type="primary" style="margin-bottom: 0;margin-right: 8px">保存</a-button>
        <a-button @click="handleCancel">
          关闭
        </a-button>
      </div>

    </template>
    <qc-ssgqzysytdqk-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit"></qc-ssgqzysytdqk-form>
<!--    <a-tabs default-active-key="attrs">-->
<!--      <a-tab-pane key="attrs" tab="属性信息">-->
<!--       -->
<!--      </a-tab-pane>-->
<!--      <a-tab-pane key="map" tab="位置信息" style="width:1850px;height: 750px">-->
<!--        <Map :lat=this.lats :lng=this.lngs  @recievePosition="getposition"></Map>-->
<!--      </a-tab-pane>-->
<!--    </a-tabs>-->
    <!--邱东宝 增加modal按钮调整到顶部 end-->
  </j-modal>
</template>

<script>

  import QcSsgqzysytdqkForm from './QcSsgqzysytdqkForm1'
  import Map from "@views/map/components/Map";
  export default {
    name: 'QcSsgqzysytdqkModal',
    components: {
      QcSsgqzysytdqkForm,
      Map
    },
    data () {
      return {
        title:'',
        width:896,
        visible: false,
        disableSubmit: false,
        lats:'',
        lngs:''
      }
    },
    methods: {
      getposition(val){
        console.log('传对象',val)
     /*   this.model.lng=val.lng;
        this.model.lat=val.lat;*/
      },
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record) {
        this.lats=record.lat;
        this.lngs=record.lng
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>